from cms.app_base import CMSApp
from cms.apphook_pool import apphook_pool
from django.utils.translation import ugettext_lazy as _


###################################
## CMS APPS                       #
###################################
class ConfirmPrivacyApp(CMSApp):
    name = _("Confirm Privacy")
    urls = ["acomea.contact.cms.urls"]


apphook_pool.register(ConfirmPrivacyApp)
