# coding: utf-8
# import logging
import re

from django.conf import settings
# from django.contrib.auth import logout, login
# from django.http import HttpResponseRedirect
#
# from . import exceptions, models as sso_models


class CampaignSourceMiddleware(object):

    def process_response(self, request, response):
        """
        Write cookies to implement single sign on with reply
        """

        if re.match("%s|%s" % (settings.MEDIA_URL, settings.STATIC_URL), request.path):
            return response

        utm_campaign = request.GET.get('utm_campaign', None)
        utm_source = request.GET.get('utm_source', None)
        kw = {'domain': '.acomea.it'}

        if utm_campaign:
            utm_campaign = utm_campaign.encode('utf-8')
            response.set_cookie('utm_campaign', utm_campaign, **kw)
        if utm_source:
            utm_source = utm_source.encode('utf-8')
            response.set_cookie('utm_source', utm_source, **kw)

        return response
